# Generated by Django 2.0 on 2018-08-14 03:51

from django.db import migrations, models
import django.db.models.deletion
import justapp.backend.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ContentAttribute',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='Название')),
                ('value', models.CharField(max_length=200, verbose_name='Значение')),
            ],
            options={
                'verbose_name': 'Атрибут контента',
                'verbose_name_plural': 'Атрибуты контента',
            },
        ),
        migrations.CreateModel(
            name='ContentType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200, verbose_name='Заголов')),
                ('counter', models.PositiveIntegerField(default=0, verbose_name='Счетчик')),
            ],
            options={
                'verbose_name': 'Тип контента',
                'verbose_name_plural': 'Все типы контента',
            },
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200, verbose_name='Заголовок')),
            ],
            options={
                'verbose_name': 'Страница',
                'verbose_name_plural': 'Страницы',
            },
        ),
        migrations.CreateModel(
            name='PageContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'verbose_name': 'Контент на странице',
                'verbose_name_plural': 'Контент на странице',
            },
        ),
        migrations.CreateModel(
            name='Audio',
            fields=[
                ('contenttype_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='backend.ContentType')),
                ('file', models.FileField(upload_to=justapp.backend.models.make_uploads_path, verbose_name='Аудио файл')),
            ],
            options={
                'verbose_name': 'Аудио контент',
                'verbose_name_plural': 'Аудио контент',
            },
            bases=('backend.contenttype',),
        ),
        migrations.CreateModel(
            name='Text',
            fields=[
                ('contenttype_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='backend.ContentType')),
                ('header', models.CharField(max_length=200, verbose_name='Текст')),
            ],
            options={
                'verbose_name': 'Текстовый контент',
                'verbose_name_plural': 'Текстовый контент',
            },
            bases=('backend.contenttype',),
        ),
        migrations.CreateModel(
            name='Video',
            fields=[
                ('contenttype_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='backend.ContentType')),
                ('file', models.FileField(upload_to=justapp.backend.models.make_uploads_path, verbose_name='Видео файл')),
            ],
            options={
                'verbose_name': 'Видео контент',
                'verbose_name_plural': 'Видео контент',
            },
            bases=('backend.contenttype',),
        ),
        migrations.AddField(
            model_name='pagecontent',
            name='content',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='backend.ContentType', verbose_name='Контент'),
        ),
        migrations.AddField(
            model_name='pagecontent',
            name='page',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='contents', to='backend.Page', verbose_name='Страница'),
        ),
        migrations.AddField(
            model_name='contentattribute',
            name='content_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='attributes', to='backend.ContentType', verbose_name='Контент'),
        ),
    ]
